<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Form; use Closure; use Illuminate\Contracts\Support\Renderable; use Illuminate\Database\Eloquent\Model; use Illuminate\Support\Collection; use Illuminate\Support\Facades\Input; use Illuminate\Validation\Validator; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Exception\BizException; use ModStart\Core\Exception\ResultException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Type\SortDirection; use ModStart\Core\Util\CRUDUtil; use ModStart\Core\Util\IdUtil; use ModStart\Field\AbstractField; use ModStart\Field\AutoRenderedFieldValue; use ModStart\Field\Display; use ModStart\Field\Select; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Concern\HasCascadeFields; use ModStart\Form\Type\FormEngine; use ModStart\Form\Type\FormMode; use ModStart\Grid\Concerns\HasSort; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; use stdClass; class Form implements Renderable { use HasFields, HasBuilder, HasFluentAttribute, HasSort, HasCascadeFields, HasScopeFilter, HasRepositoryFilter; public $id; private $repository; private $view = 'modstart::core.form.index'; protected $fluentAttributes = array('engine', 'builder', 'mode', 'title', 'showSubmit', 'showReset', 'itemId', 'item', 'hookSubmitted', 'hookSaving', 'hookSaved', 'hookDeleting', 'hookDeleted', 'hookChanged', 'dataSubmitted', 'dataForming', 'dataAdding', 'dataEditing', 'canAdd', 'canEdit', 'canDelete', 'canSort', 'canCopy', 'formClass', 'treeMaxLevel', 'treeRootPid', 'formUrl', 'ajax', 'formAttr'); private $engine = 'basic'; private $mode = 'form'; private $title; private $showSubmit = true; private $showReset = true; private $itemId = null; private $item; private $hookSubmitted; private $hookSaving; private $hookSaved; private $hookDeleting; private $hookDeleted; private $hookChanged; private $dataSubmitted; private $dataForming; private $dataAdding; private $dataEditing; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canSort = false; private $canCopy = false; private $formClass = ''; private $treeMaxLevel = 99; private $treeRootPid = 0; private $formUrl = null; private $ajax = true; private $formAttr = ''; public function __construct($Fqfz_, \Closure $s_7FO = null) { goto p2mv4; JgkvO: $this->setupFields(); goto w1rE4; gMpA6: $this->setupRepositoryFilter(); goto yiEik; p2mv4: $this->id = IdUtil::generate('Grid'); goto AbwKx; w1rE4: $this->fieldDefaultRenderMode(FieldRenderMode::FORM); goto gMpA6; yiEik: $this->builder($s_7FO); goto LM1ox; AbwKx: $this->repository = Repository::instance($Fqfz_); goto JgkvO; LM1ox: } public static function make($vDs91 = null, \Closure $s_7FO = null) { if (class_exists($vDs91) && is_subclass_of($vDs91, Model::class)) { return new Form($vDs91, $s_7FO); } return new Form(DynamicModel::make($vDs91), $s_7FO); } public function asTree($nFw3T = 'id', $MKZup = 'pid', $BrK6Z = 'sort', $uZo3m = 'title') { goto UFMq9; b5NIK: return $this; goto atx3l; nd7nZ: $this->engine = FormEngine::TREE; goto Z7CWt; Z7CWt: $this->canSort(true); goto b5NIK; jDSOF: $this->repository->setSortColumn($BrK6Z); goto Sm8jj; Nd6Pd: $this->repository->setTreePidColumn($MKZup); goto jDSOF; Sm8jj: $this->repository->setTreeTitleColumn($uZo3m); goto nd7nZ; UFMq9: $this->repository->setKeyName($nFw3T); goto Nd6Pd; atx3l: } public function asTreeMass($zctLi = 0, $nFw3T = 'id', $MKZup = 'pid', $BrK6Z = 'sort', $uZo3m = 'title') { goto bo3MR; KCn9U: $this->canSort(true); goto W0zoj; p0ocN: $this->repository->setSortColumn($BrK6Z); goto zYNdO; Z8A64: $this->engine = FormEngine::TREE_MASS; goto KCn9U; i75Da: $this->repository->setTreePidColumn($MKZup); goto p0ocN; W0zoj: return $this; goto xS4kZ; zYNdO: $this->repository->setTreeTitleColumn($uZo3m); goto Z8A64; bo3MR: $this->repository->setKeyName($nFw3T); goto i75Da; xS4kZ: } private function build() { $this->runBuilder(); if ($this->engine == FormEngine::TREE) { if ($this->treeMaxLevel > 1) { $fD1Dn = FieldManager::make($this, 'select', $this->repository->getTreePidColumn(), L('Parent')); $fD1Dn->optionRepositoryTreeItems($this->repository, $this->treeMaxLevel); } else { $fD1Dn = FieldManager::make($this, 'hidden', $this->repository->getTreePidColumn(), L('Parent')); $fD1Dn->value(0); } $this->prependField($fD1Dn); } else { if ($this->engine == FormEngine::TREE_MASS) { goto igmoD; Qq6ip: $fD1Dn->addable(true)->editable(true)->listable(false); goto pJegX; igmoD: $fD1Dn = FieldManager::make($this, 'display', $this->repository->getTreePidColumn(), L('Parent')); goto Qq6ip; nDTlI: $this->prependField($fD1Dn); goto Peud3; pJegX: $fD1Dn->hookRendering(function (AbstractField $fD1Dn, $BXaLl, $YONw4) { if (empty($BXaLl)) { $CNhj2 = InputPackage::buildFromInput()->get('_pid', $this->treeRootPid); } else { $CNhj2 = $BXaLl->{$this->repository->getTreePidColumn()}; } $this->repository()->setArgument('treePid', $CNhj2); $PpnJz = $this->repository->getTreeAncestorItems(); $SppaZ = array(); $SppaZ[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . L('Root'); foreach ($PpnJz as $ZFbip) { $SppaZ[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . htmlspecialchars($ZFbip->{$this->repository->getTreeTitleColumn()}); } $SppaZ[] = '<input type="hidden" name="' . $this->repository->getTreePidColumn() . '" value="' . htmlspecialchars($CNhj2) . '" />'; return AutoRenderedFieldValue::make(join('', $SppaZ)); }); goto nDTlI; Peud3: } } } public function repository() { return $this->repository; } private function fieldValidateMessages($DR4Dq, $rUSRI) { goto O0Hw7; o8YVR: return $FM2Nm; goto vbE7B; b5XEw: $FM2Nm = array(); goto QHQtL; YQqpf: if (empty($FM2Nm)) { return false; } goto o8YVR; QHQtL: foreach ($ykktJ as $Mrp7T) { foreach ($Mrp7T->messages()->getMessages() as $x4aog => $RtE4Z) { $FM2Nm[$x4aog] = $RtE4Z; } } goto YQqpf; FZbi3: foreach ($DR4Dq as $fD1Dn) { if (!($Mrp7T = $fD1Dn->getValidator($rUSRI))) { continue; } if ($Mrp7T instanceof Validator && !$Mrp7T->passes()) { $ykktJ[] = $Mrp7T; } } goto b5XEw; O0Hw7: $ykktJ = array(); goto FZbi3; vbE7B: } private function validateFields($DR4Dq, $XH8Dv) { goto yR_U9; yR_U9: $uvqeF = array(); goto teGO_; teGO_: if ($fjeie = $this->fieldValidateMessages($DR4Dq, $XH8Dv)) { $uvqeF = array_merge($uvqeF, $fjeie); } goto as8Zb; as8Zb: foreach ($uvqeF as $x4aog => $FM2Nm) { foreach ($FM2Nm as $q05jx) { return Response::generateError($q05jx); } } goto gEK8T; gEK8T: return Response::generateSuccess(); goto wrY3t; wrY3t: } private function removeReservedFields() { goto w27e6; WfO9G: $this->fields = $this->fields()->reject($RH4J5); goto YfsYE; TBU01: $RH4J5 = function (AbstractField $fD1Dn) use(&$SoWbH) { return in_array($fD1Dn->column(), $SoWbH, true) && $fD1Dn instanceof \ModStart\Field\Display; }; goto WfO9G; w27e6: $SoWbH = array($this->repository->getKeyName(), $this->repository->getCreatedAtColumn(), $this->repository->getUpdatedAtColumn()); goto TBU01; YfsYE: } public function hookCall($JJ_4l) { if ($JJ_4l instanceof Closure) { $anVVy = call_user_func($JJ_4l, $this); if (null !== $anVVy) { return $anVVy; } } return Response::generateSuccess(); } public function isModeForm() { return $this->mode === FormMode::FORM; } public function isModeAdd() { return $this->mode === FormMode::ADD; } public function isModeEdit() { return $this->mode === FormMode::EDIT; } public function isModeDelete() { return $this->mode === FormMode::DELETE; } public function formRequest($JJ_4l, array $XH8Dv = null) { goto REN5Q; hC5CW: try { goto anvUs; ZMAoE: if (null !== $anVVy) { return Response::jsonFromGenerate($anVVy); } goto ygdzW; h0u1D: ResultException::throwsIfFail($this->hookCall($this->hookSaving)); goto zGdmk; anvUs: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto O7zU6; Q0XRe: $this->removeReservedFields(); goto sygmw; p_B1b: return Response::jsonSuccess(L('Save Success')); goto xsQJ8; O7zU6: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto WEkNr; WEkNr: $this->dataForming = array(); goto Q0XRe; OaL3z: if (null !== $anVVy) { if (Response::isError($anVVy)) { return Response::jsonFromGenerate($anVVy); } } goto LP5Qo; LP5Qo: ResultException::throwsIfFail($this->hookCall($this->hookSaved)); goto giAIg; ygdzW: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto p_B1b; sygmw: foreach ($this->addableFields() as $fD1Dn) { goto rr5ez; ZQ8p2: $RonIx = $fD1Dn->serializeValue($RonIx, $fD1Dn); goto hy2gB; cGiZ7: $RonIx = isset($this->dataSubmitted[$fD1Dn->column()]) ? $this->dataSubmitted[$fD1Dn->column()] : null; goto kpBHT; rr5ez: if ($fD1Dn->isLayoutField()) { continue; } goto cGiZ7; kpBHT: $RonIx = $fD1Dn->prepareInput($RonIx, $this->dataSubmitted); goto ZQ8p2; kPsiO: $this->dataForming[$fD1Dn->column()] = $RonIx; goto ho1G0; hy2gB: if ($fD1Dn->hookValueSerialize()) { $RonIx = call_user_func($fD1Dn->hookValueSerialize(), $RonIx, $fD1Dn); } goto kPsiO; ho1G0: } goto h0u1D; zGdmk: $anVVy = call_user_func($JJ_4l, $this); goto OaL3z; giAIg: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto ZMAoE; xsQJ8: } catch (BizException $POObh) { return Response::jsonError($POObh->getMessage()); } catch (ResultException $POObh) { return Response::jsonError($POObh->getMessage()); } goto K0JtL; nNue7: $this->build(); goto Sk1Mp; REN5Q: $this->mode(FormMode::FORM); goto nNue7; Sk1Mp: $this->dataSubmitted = $XH8Dv ? $XH8Dv : Input::all(); goto hC5CW; K0JtL: } public function add() { goto Judox; Judox: $this->mode(FormMode::ADD); goto n0fPT; KZ1ls: $this->build(); goto PNPQs; n0fPT: $Wxpnj = false; goto G0ykj; G0ykj: if ($this->canCopy()) { $pWFkG = CRUDUtil::copyId(); if ($pWFkG) { goto FAJn_; Sj4Lv: $this->item($this->repository()->editing($this)); goto BTghr; FAJn_: $this->itemId($pWFkG); goto Sj4Lv; sYR0x: $Wxpnj = true; goto xvM0k; BTghr: $this->itemId(0); goto sYR0x; xvM0k: } } goto KZ1ls; PNPQs: if ($Wxpnj) { $this->fillFields(); } goto v10dk; v10dk: return $this; goto MW2g4; MW2g4: } public function addRequest(array $XH8Dv = null) { goto QWNrr; GJ0nh: $this->dataSubmitted = $XH8Dv ? $XH8Dv : Input::all(); goto MJe9s; QWNrr: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto uI2FU; vhvfU: $this->build(); goto GJ0nh; uI2FU: $this->mode(FormMode::ADD); goto vhvfU; MJe9s: try { goto JpJCw; JIDaC: $iq69z = $this->repository->add($this); goto uqtcP; f_9kk: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto uxb6z; w71yt: return Response::jsonSuccess(L('Add Success')); goto UF08z; uxb6z: $this->dataAdding = array(); goto mVlm0; JpJCw: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto f_9kk; Y_qmR: foreach ($this->addableFields() as $fD1Dn) { goto fpWlq; t827M: $this->dataAdding[$fD1Dn->column()] = $RonIx; goto fvmFM; fpWlq: if ($fD1Dn->isLayoutField() || $fD1Dn->isCustomField()) { continue; } goto d36wh; OZjCz: if ($fD1Dn->hookValueSerialize()) { $RonIx = call_user_func($fD1Dn->hookValueSerialize(), $RonIx, $fD1Dn); } goto t827M; Zf_C6: $RonIx = $fD1Dn->serializeValue($RonIx, $fD1Dn); goto OZjCz; d36wh: $RonIx = isset($this->dataSubmitted[$fD1Dn->column()]) ? $this->dataSubmitted[$fD1Dn->column()] : null; goto rkv6u; rkv6u: $RonIx = $fD1Dn->prepareInput($RonIx, $this->dataSubmitted); goto Zf_C6; fvmFM: } goto JIDaC; uqtcP: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto w71yt; mVlm0: $this->removeReservedFields(); goto Y_qmR; UF08z: } catch (BizException $POObh) { return Response::jsonError($POObh->getMessage()); } catch (ResultException $POObh) { return Response::jsonError($POObh->getMessage()); } goto zKdZb; zKdZb: } public function edit($iq69z) { try { goto Q62g9; kwwDI: $this->fillFields(); goto zhAbl; Q62g9: $this->mode(FormMode::EDIT); goto yY0gS; NxqR0: $this->build(); goto kwwDI; wCmjT: $this->item($this->repository()->editing($this)); goto dFlk2; dFlk2: BizException::throwsIfEmpty(L('Record Not Exists'), $this->item); goto NxqR0; zhAbl: return $this; goto HgToN; yY0gS: $this->itemId($iq69z); goto wCmjT; HgToN: } catch (BizException $POObh) { return Response::sendError($POObh->getMessage()); } } public function editRequest($iq69z, array $XH8Dv = null) { goto h5tvl; iUTUK: try { goto DGaRV; DGaRV: $this->edit($iq69z); goto NnXRw; a7rvm: $this->dataEditing = array(); goto OKjuM; cKvmK: if ('itemCellEdit' == $c_z1p) { goto B2YQu; oib60: if ($x4aog) { foreach ($this->editableFields() as $fD1Dn) { if ($fD1Dn->isLayoutField() || $fD1Dn->isCustomField()) { continue; } if ($fD1Dn->column() == $x4aog) { $this->dataEditing[$fD1Dn->column()] = $RonIx; break; } } } goto kTVS7; kTVS7: BizException::throwsIfEmpty('Data Error', $this->dataEditing); goto WEJxk; YlKuC: $RonIx = isset($this->dataSubmitted['value']) ? $this->dataSubmitted['value'] : null; goto oib60; B2YQu: $x4aog = isset($this->dataSubmitted['column']) ? $this->dataSubmitted['column'] : null; goto YlKuC; WEJxk: } else { foreach ($this->editableFields() as $fD1Dn) { goto noj2n; XffRy: $RonIx = isset($this->dataSubmitted[$fD1Dn->column()]) ? $this->dataSubmitted[$fD1Dn->column()] : null; goto lyKwX; jWige: $RonIx = $fD1Dn->serializeValue($RonIx, $fD1Dn); goto pPGNY; nkJF_: $this->dataEditing[$fD1Dn->column()] = $RonIx; goto AjqtH; lyKwX: $RonIx = $fD1Dn->prepareInput($RonIx, $this->dataSubmitted); goto jWige; noj2n: if ($fD1Dn->isLayoutField() || $fD1Dn->isCustomField()) { continue; } goto XffRy; pPGNY: if ($fD1Dn->hookValueSerialize()) { $RonIx = call_user_func($fD1Dn->hookValueSerialize(), $RonIx, $fD1Dn); } goto nkJF_; AjqtH: } } goto rPSG2; OKjuM: $this->removeReservedFields(); goto tOkEk; NMGsE: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto a7rvm; dxQ0A: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto qJAhw; NnXRw: ResultException::throwsIfFail($this->validateFields($this->editableFields(), $this->dataSubmitted)); goto NMGsE; qJAhw: return Response::jsonSuccess(L('Edit Success')); goto KDAHj; tOkEk: $c_z1p = isset($this->dataSubmitted['_action']) ? $this->dataSubmitted['_action'] : null; goto cKvmK; rPSG2: $this->repository()->edit($this); goto dxQ0A; KDAHj: } catch (BizException $POObh) { return Response::jsonError($POObh->getMessage()); } catch (ResultException $POObh) { return Response::jsonError($POObh->getMessage()); } goto wYoYv; RlHTB: $this->dataSubmitted = $XH8Dv ? $XH8Dv : Input::all(); goto iUTUK; h5tvl: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto RlHTB; wYoYv: } public function deleteRequest($Z_bhJ) { goto ZzPCd; ZzPCd: if (!$this->canDelete) { return Response::pagePermissionDenied(); } goto AJr7Z; AJr7Z: $this->mode(FormMode::DELETE); goto RXnmb; RXnmb: $this->itemId($Z_bhJ); goto e18O9; e18O9: $this->build(); goto iw57a; iw57a: try { goto yPxg6; FY5yK: $dNyIu = $this->repository->delete($this, $XH8Dv); goto qsqKi; qsqKi: return Response::jsonSuccess(L('Delete Success')); goto TeRQ2; la173: $this->item($XH8Dv); goto ps17E; yPxg6: $XH8Dv = $this->repository->deleting($this); goto la173; ps17E: $this->itemId(collect($XH8Dv)->map(function ($r5LEP) { return $r5LEP->{$this->repository()->getKeyName()}; })->toArray()); goto FY5yK; TeRQ2: } catch (BizException $POObh) { return Response::jsonError($POObh->getMessage()); } catch (ResultException $POObh) { return Response::jsonError($POObh->getMessage()); } goto d0fMA; d0fMA: } public function sortRequest($Z_bhJ) { goto iwQKI; QHVrj: $this->repository->setArgument('direction', $rUSRI->getType('direction', SortDirection::class)); goto y79Yd; w2cD7: $rUSRI = InputPackage::buildFromInput(); goto QHVrj; y79Yd: $this->build(); goto WpG5G; iwQKI: if (!$this->canSort) { return Response::pagePermissionDenied(); } goto CPnRD; CPnRD: $this->mode(FormMode::SORT); goto FhuAd; WpG5G: try { goto G806w; WD8xA: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto To0om; G806w: $dNyIu = $this->repository->sortEdit($this); goto WD8xA; To0om: return Response::jsonSuccess(L('Operate Success')); goto i1yd_; i1yd_: } catch (BizException $POObh) { return Response::jsonError($POObh->getMessage()); } catch (ResultException $POObh) { return Response::jsonError($POObh->getMessage()); } goto WTNSA; FhuAd: $this->itemId($Z_bhJ); goto w2cD7; WTNSA: } public function render() { goto OFi8i; OFi8i: $XH8Dv = array(); goto zKW89; MBQJu: $XH8Dv = array_merge($this->fluentAttributeVariables(), $XH8Dv); goto RBdr2; RBdr2: return view($this->view, $XH8Dv)->render(); goto tOQBH; zKW89: switch ($this->mode) { case FormMode::FORM: $XH8Dv['fields'] = $this->addableFields(); break; case FormMode::ADD: goto J248t; J248t: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto aYDPM; DYX4l: break; goto irsh2; aYDPM: $XH8Dv['fields'] = $this->addableFields(); goto DYX4l; irsh2: case FormMode::EDIT: goto nycyl; nycyl: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto faDaQ; faDaQ: $XH8Dv['fields'] = $this->editableFields(); goto QXwCZ; QXwCZ: break; goto wG6Si; wG6Si: default: return Response::sendError('Form.render mode error : ' . $this->mode); } goto MBQJu; tOQBH: } public function __call($sZUOu, $gqstn) { goto fFmzp; mOIxV: if ($this->isFluentAttribute($sZUOu)) { return $this->fluentAttribute($sZUOu, $gqstn); } goto sbva6; fFmzp: switch ($sZUOu) { case 'enablePagination': case 'defaultOrder': case 'canShow': case 'canExport': case 'canImport': case 'canBatchDelete': case 'canMultiSelectItem': case 'addBlankPage': case 'editBlankPage': case 'disableCUD': case 'hookItemOperateRendering': case 'addDialogSize': case 'editDialogSize': case 'dialogSizeSmall': case 'gridFilter': case 'gridOperateAppend': case 'bodyAppend': case 'operateFixed': case 'defaultPageSize': case 'pageSizes': case 'canBatchSelect': case 'batchOperatePrepend': case 'gridToolbar': case 'textEdit': return $this; } goto mOIxV; sbva6: return FieldManager::call($this, $sZUOu, $gqstn); goto gqvNA; gqvNA: } }