<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Grid; use Closure; use Illuminate\Support\Facades\Input; use Illuminate\Support\Facades\View; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Dao\ModelUtil; use ModStart\Core\Exception\BizException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Util\IdUtil; use ModStart\Core\Util\RenderUtil; use ModStart\Core\Util\TreeUtil; use ModStart\Detail\Detail; use ModStart\Field\AbstractField; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Form; use ModStart\Grid\Concerns\HasGridFilter; use ModStart\Grid\Concerns\HasItemOperate; use ModStart\Grid\Concerns\HasPaginator; use ModStart\Grid\Concerns\HasSort; use ModStart\Grid\Type\GridEngine; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; class Grid { use HasBuilder, HasFields, HasFluentAttribute, HasGridFilter, HasItemOperate, HasPaginator, HasSort, HasScopeFilter, HasRepositoryFilter; private $id; private $model; protected $fluentAttributes = array('view', 'engine', 'title', 'titleAdd', 'titleEdit', 'titleShow', 'titleImport', 'canAdd', 'canEdit', 'canDelete', 'canShow', 'canExport', 'canImport', 'canCopy', 'canMultiSelectItem', 'canSingleSelectItem', 'canBatchDelete', 'canBatchSelect', 'canSort', 'urlAdd', 'urlEdit', 'textEdit', 'urlDelete', 'urlShow', 'urlExport', 'urlImport', 'urlSort', 'addDialogSize', 'editDialogSize', 'showDialogSize', 'importDialogSize', 'addBlankPage', 'editBlankPage', 'enablePagination', 'defaultOrder', 'treeMaxLevel', 'treeRootPid', 'batchOperatePrepend', 'gridOperateAppend', 'hookPrepareItems', 'gridRowCols', 'defaultPageSize', 'pageSizes', 'gridToolbar'); private $engine = 'basic'; private $title; private $titleAdd; private $titleEdit; private $titleShow; private $titleImport; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canShow = true; private $canExport = false; private $canImport = false; private $canCopy = false; private $canMultiSelectItem = false; private $canSingleSelectItem = false; private $canBatchDelete = false; private $canBatchSelect = false; private $canSort = false; private $urlAdd; private $urlEdit; private $textEdit; private $urlDelete; private $urlShow; private $urlExport; private $urlImport; private $urlSort; private $addDialogSize = array('95%', '95%'); private $editDialogSize = array('95%', '95%'); private $showDialogSize = array('95%', '95%'); private $importDialogSize = array('95%', '95%'); private $addBlankPage = false; private $editBlankPage = false; private $enablePagination = true; private $defaultOrder = array(); private $treeMaxLevel = 0; private $treeRootPid = 0; private $batchOperatePrepend = ''; private $gridOperateAppend = ''; private $gridRowCols = null; private $defaultPageSize = 10; private $pageSizes = array(10, 50, 100); private $gridToolbar = array(); private $hookPrepareItems = null; private $gridTableTops = array(); private $gridRequestScript = null; private $gridBeforeRequestScript = null; private $isBuilt = false; private $isDynamicModel = false; private $dynamicModelTableName; private $view = 'modstart::core.grid.index'; private $bodyAppend = ''; public function __construct($Fqfz_ = null, \Closure $s_7FO = null) { goto uspie; W_Dbm: $this->fieldDefaultRenderMode(FieldRenderMode::GRID); goto DRlON; ddDrO: $this->setupItemOperate(); goto fZtGG; uspie: $this->id = IdUtil::generate('Grid'); goto UIqsV; Xqkdi: $this->setupFields(); goto W_Dbm; DRlON: $this->setupRepositoryFilter(); goto dhOHp; UIqsV: $this->model = new Model($this, $Fqfz_); goto Xqkdi; dhOHp: $this->setupGridFilter(); goto ddDrO; fZtGG: $this->builder($s_7FO); goto PkCNm; PkCNm: } public static function make($vDs91, \Closure $s_7FO = null) { goto EjksE; yLynK: $rfbsv->isDynamicModel = true; goto qtY_F; qtY_F: $rfbsv->dynamicModelTableName = $vDs91; goto TXUyK; vR0p0: $rfbsv = new Grid(DynamicModel::make($vDs91), $s_7FO); goto yLynK; TXUyK: return $rfbsv; goto zgR_a; EjksE: if (class_exists($vDs91)) { if (is_subclass_of($vDs91, \Illuminate\Database\Eloquent\Model::class) || is_subclass_of($vDs91, Repository::class)) { return new Grid($vDs91, $s_7FO); } } goto vR0p0; zgR_a: } public function useSimple($WyYhx) { goto dXsXz; dXsXz: $this->view = 'modstart::core.grid.simple'; goto J4dfU; fiiYR: $this->display('html', 'html')->hookRendering($WyYhx); goto CTsXF; J4dfU: $this->disableItemOperate(); goto fiiYR; CTsXF: return $this; goto kdUPP; kdUPP: } public function asTree($nFw3T = 'id', $MKZup = 'pid', $BrK6Z = 'sort', $uZo3m = 'title') { goto YTvu4; dKnaR: $this->repository()->setTreeTitleColumn($uZo3m); goto qC62j; Mec9o: $this->enablePagination(false); goto C3EY7; qC62j: $this->engine = GridEngine::TREE; goto Mec9o; NXbav: $this->repository()->setSortColumn($BrK6Z); goto dKnaR; YTvu4: $this->repository()->setKeyName($nFw3T); goto yghO3; yghO3: $this->repository()->setTreePidColumn($MKZup); goto NXbav; C3EY7: $this->canSort(true); goto CjcqS; CjcqS: return $this; goto K07XP; K07XP: } public function asTreeMass($zctLi = 0, $nFw3T = 'id', $MKZup = 'pid', $BrK6Z = 'sort', $uZo3m = 'title') { goto JXi9B; DElgh: $this->enablePagination(false); goto DPagL; Xi3L1: return $this; goto XSgjQ; h15KF: $this->repository()->setTreePidColumn($MKZup); goto a_oKs; a_oKs: $this->repository()->setSortColumn($BrK6Z); goto OTy3G; JXi9B: $this->repository()->setKeyName($nFw3T); goto h15KF; OTy3G: $this->repository()->setTreeTitleColumn($uZo3m); goto rtMdx; rtMdx: $this->engine = GridEngine::TREE_MASS; goto DElgh; DPagL: $this->canSort(true); goto Xi3L1; XSgjQ: } public function canBatchDelete($RonIx = null) { goto udGqM; RC2PY: $this->canMultiSelectItem(true); goto VM3xx; VM3xx: return $this; goto m_Mjp; apksI: $this->canBatchDelete = true; goto RC2PY; udGqM: if (null === $RonIx) { return $this->canBatchDelete; } goto apksI; m_Mjp: } public function canBatchSelect($RonIx = null) { goto k83cb; uu0Qg: $this->canBatchSelect = true; goto ATrog; k83cb: if (null === $RonIx) { return $this->canBatchSelect; } goto uu0Qg; ZGKch: return $this; goto yQRhh; ATrog: $this->canMultiSelectItem(true); goto ZGKch; yQRhh: } public function disableCUD() { $this->canAdd(false)->canEdit(false)->canDelete(false); return $this; } public function dialogSizeSmall() { return $this->addDialogSize(array('600px', '90%'))->editDialogSize(array('600px', '90%'))->showDialogSize(array('600px', '90%')); } public function repository() { return $this->model->repository(); } public function getRepositoryKeyName() { return $this->model->repository()->getKeyName(); } public function gridFilter(Closure $JJ_4l) { call_user_func($JJ_4l, $this->gridFilter); return $this; } public function gridRequestScript($tXhao) { $this->gridRequestScript = $tXhao; return $this; } public function gridBeforeRequestScriptView($yLKIN) { return $this->gridBeforeRequestScript(RenderUtil::viewScript($yLKIN)); } public function gridBeforeRequestScript($wd8OD) { $this->gridBeforeRequestScript = $wd8OD; return $this; } public function gridTableTopView($yLKIN) { return $this->gridTableTop(View::make($yLKIN, array())->render()); } public function gridTableTop($uuYr4) { goto C0VJr; C0VJr: if ($uuYr4 instanceof Closure) { $uuYr4 = call_user_func($uuYr4, $this); } goto aVpGo; aVpGo: $this->gridTableTops[] = $uuYr4; goto POEPP; POEPP: return $this; goto Dj2Br; Dj2Br: } public function bodyAppend($uuYr4) { $this->bodyAppend = $uuYr4; return $this; } public function build() { if (!$this->isBuilt) { goto xywnW; JfpWS: $this->prepareItemOperateField(); goto YsBcg; xywnW: $this->runBuilder(); goto JfpWS; YsBcg: $this->isBuilt = true; goto FjJVN; FjJVN: } } public function executeQuery() { goto nDeEx; nDeEx: $this->build(); goto wubRj; XWz2_: $this->repository()->setArgument(array('page' => $rUSRI->getPage(), 'pageSize' => $rUSRI->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $rUSRI->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto lgYLX; wubRj: $rUSRI = InputPackage::buildFromInput(); goto XWz2_; WGsXm: return $this->gridFilter->executeQuery(); goto cdKmw; lgYLX: $this->gridFilter->setSearch($rUSRI->getArray('search')); goto WGsXm; cdKmw: } public function request() { goto Uvb2g; y9SXB: $this->repository()->setArgument(array('page' => $rUSRI->getPage(), 'pageSize' => $rUSRI->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $rUSRI->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto waAQ7; CB2Wb: $ovP9D = array(); goto GZYtx; zB4ak: $htRGX = $this->model->paginator(); goto TutrJ; knAXE: $this->build(); goto YRmnh; jiuhA: foreach ($this->listableFields() as $fD1Dn) { goto J07H_; MyvWq: if ($fD1Dn->gridFixed()) { $cMI_d['fixed'] = $fD1Dn->gridFixed(); } goto m5jc7; HCDje: $cMI_d = array('field' => $fD1Dn->column(), 'title' => $fD1Dn->label(), 'sort' => $fD1Dn->sortable()); goto ciXRy; ciXRy: if ($fD1Dn->width() !== '') { $cMI_d['width'] = $fD1Dn->width(); } else { $cMI_d['withAuto'] = true; } goto MyvWq; J07H_: if ($fD1Dn->isLayoutField()) { continue; } goto HCDje; m5jc7: $Yzjik[] = $cMI_d; goto yXS9Q; yXS9Q: } goto lr16g; p63ie: if ($this->engine === GridEngine::TREE_MASS) { goto wgBEa; aeheA: if ($CNhj2 != $this->treeRootPid) { $cgpxI = $this->repository()->getTreeAncestorItems(); } goto h7oJx; h7oJx: $RIA9q = view('modstart::core.grid.treeAncestor', array('treeAncestors' => $cgpxI, 'grid' => $this))->render(); goto sto3F; N9rc7: $this->repository()->setArgument(array('treeRootPid' => $this->treeRootPid, 'treePid' => $CNhj2)); goto aeheA; wgBEa: $CNhj2 = $rUSRI->get('_pid', $this->treeRootPid); goto N9rc7; sto3F: } goto M8LAa; TutrJ: if ($this->hookPrepareItems) { $eHVnC = call_user_func($this->hookPrepareItems, $this, $eHVnC); } goto CB2Wb; qyTjj: if ($this->engine == GridEngine::TREE) { goto bbsCK; YUTiH: $gSJ19 = $this->repository()->getTreePidColumn(); goto ZRovT; bbsCK: $cCrXn = $this->repository()->getKeyName(); goto YUTiH; ZRovT: $m8dbL = $this->repository()->getTreeSortColumn(); goto YgW34; YgW34: $eHVnC = TreeUtil::itemsMergeLevel($eHVnC, $cCrXn, $gSJ19, $m8dbL); goto d55h5; d55h5: } goto zB4ak; YRmnh: $rUSRI = InputPackage::buildFromInput(); goto y9SXB; Uvb2g: $RIA9q = null; goto knAXE; K6mLR: $eHVnC = $this->gridFilter->execute(); goto qyTjj; M8LAa: $this->gridFilter->setSearch($rUSRI->getArray('search')); goto K6mLR; GHBtN: $Yzjik = array(); goto jiuhA; lr16g: $wd8OD = null; goto pwegU; oVQTN: return Response::jsonSuccessData(array('head' => $Yzjik, 'page' => $htRGX ? $htRGX->currentPage() : 1, 'pageSize' => $htRGX ? $htRGX->perPage() : count($ovP9D), 'total' => $htRGX ? $htRGX->total() : count($ovP9D), 'records' => $ovP9D, 'addition' => $RIA9q, 'script' => $wd8OD)); goto v58D_; pwegU: if (!is_null($this->gridRequestScript)) { $wd8OD = call_user_func($this->gridRequestScript, $this); } goto oVQTN; GZYtx: foreach ($eHVnC as $YONw4 => $BXaLl) { goto UXxBO; nVS2N: $cMI_d['_id'] = '' . $BXaLl->{$this->repository()->getKeyName()}; goto n_viF; UXxBO: $fs_Kq = array(); goto ew0rt; ew0rt: if ($BXaLl instanceof \Illuminate\Database\Eloquent\Model) { $fs_Kq = array_keys($BXaLl->getAttributes()); } else { if ($BXaLl instanceof \stdClass) { $fs_Kq = array_keys(get_object_vars($BXaLl)); } else { BizException::throws('Grid item support Model|stdClass only'); } } goto PGn4o; G20Gw: $ovP9D[] = $cMI_d; goto ynFOU; PGn4o: $cMI_d = array(); goto nVS2N; n_viF: foreach ($this->listableFields() as $fD1Dn) { goto jKiwB; rb0Iu: $cMI_d[$fD1Dn->column()] = $fD1Dn->renderView($fD1Dn, $BXaLl, $YONw4); goto rCBtS; b16LT: $fD1Dn->item($BXaLl); goto rb0Iu; rCBtS: if ($this->engine == GridEngine::TREE && $fD1Dn->column() == $this->repository()->getTreeTitleColumn()) { $SVXeh = str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;', $BXaLl->_level - 1) . '<a class="tree-arrow-icon ub-text-muted" href="javascript:;"><i class="icon iconfont icon-angle-right"></i></a> '; $cMI_d[$fD1Dn->column()] = $SVXeh . $cMI_d[$fD1Dn->column()]; } else { if ($this->engine == GridEngine::TREE_MASS && $fD1Dn->column() == $this->repository()->getTreeTitleColumn()) { if (count($cgpxI) < $this->treeMaxLevel() - 1) { $cMI_d[$fD1Dn->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . '<a class="ub-text-primary" href="?_pid=' . $cMI_d['_id'] . '" title="' . L('Manage') . '"><i class="icon iconfont icon-sign"></i> ' . htmlspecialchars($cMI_d[$fD1Dn->column()]) . '</a>'; } else { $cMI_d[$fD1Dn->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . $cMI_d[$fD1Dn->column()]; } } } goto fv2vQ; jKiwB: if ($fD1Dn->isLayoutField()) { continue; } goto bik4s; WaAJe: $fD1Dn->setValue($RonIx); goto b16LT; bik4s: $RonIx = null; goto hZcS7; hZcS7: if (in_array($fD1Dn->column(), $fs_Kq) || $BXaLl instanceof \Illuminate\Database\Eloquent\Model && method_exists($BXaLl, $fD1Dn->column())) { goto p_yc9; RT8d2: $BXaLl->{$fD1Dn->column()} = $RonIx; goto LuDhB; Nq6j3: $fD1Dn->item($BXaLl); goto NrHsM; gdM7U: $fD1Dn->item($BXaLl); goto fuSZg; EqIwy: if ($fD1Dn->hookFormatValue()) { $RonIx = call_user_func($fD1Dn->hookFormatValue(), $RonIx, $fD1Dn); } goto RT8d2; NrHsM: if ($fD1Dn->hookValueUnserialize()) { $RonIx = call_user_func($fD1Dn->hookValueUnserialize(), $RonIx, $fD1Dn); } goto gdM7U; p_yc9: $RonIx = $BXaLl->{$fD1Dn->column()}; goto Nq6j3; fuSZg: $RonIx = $fD1Dn->unserializeValue($RonIx, $fD1Dn); goto EqIwy; LuDhB: } else { goto zXV2R; tuIGS: if (str_contains($fD1Dn->column(), '.')) { $RonIx = ModelUtil::traverse($BXaLl, $fD1Dn->column()); } goto mQfeM; tHIBp: $RonIx = $fD1Dn->unserializeValue($RonIx, $fD1Dn); goto xhEMt; mQfeM: if ($fD1Dn->hookValueUnserialize()) { $RonIx = call_user_func($fD1Dn->hookValueUnserialize(), $RonIx, $fD1Dn); } goto tHIBp; xhEMt: if ($fD1Dn->hookFormatValue()) { $RonIx = call_user_func($fD1Dn->hookFormatValue(), $RonIx, $fD1Dn); } goto xjQ5F; zXV2R: $fD1Dn->item($BXaLl); goto tuIGS; xjQ5F: } goto WaAJe; fv2vQ: } goto G20Gw; ynFOU: } goto GHBtN; waAQ7: $cgpxI = array(); goto p63ie; v58D_: } public function render() { goto MP2O8; I2X_X: return view($this->view, $XH8Dv)->render(); goto rRgSo; MP2O8: $this->build(); goto W4IeZ; W4IeZ: $XH8Dv = array_merge($this->fluentAttributeVariables(), array('id' => $this->id, 'filters' => $this->gridFilter->filters(), 'hasAutoHideFilters' => $this->gridFilter->hasAutoHideFilters(), 'grid' => $this, 'scopes' => $this->scopeFilters, 'gridTableTops' => $this->gridTableTops, 'gridBeforeRequestScript' => $this->gridBeforeRequestScript, 'scopeCurrent' => Input::get('_scope', $this->scopeDefault), 'bodyAppend' => $this->bodyAppend)); goto I2X_X; rRgSo: } public function __toString() { try { return $this->render(); } catch (\Exception $POObh) { return $POObh->getMessage(); } } public function isDynamicModel() { return $this->isDynamicModel; } public function getDynamicModelTableName() { return $this->dynamicModelTableName; } public function __call($sZUOu, $gqstn) { goto iIZjb; jZREU: return FieldManager::call($this, $sZUOu, $gqstn); goto qu0Gp; iIZjb: switch ($sZUOu) { case 'hookSaved': case 'hookDeleting': case 'hookChanged': case 'hookDeleted': case 'hookSaving': case 'formClass': case 'gridFilter': return $this; } goto IjlkD; IjlkD: if ($this->isFluentAttribute($sZUOu)) { return $this->fluentAttribute($sZUOu, $gqstn); } goto jZREU; qu0Gp: } }